io.vertx.rxjava.ext.shell.term

## Class SockJSTermHandler

- java.lang.Object
- - io.vertx.rxjava.ext.shell.term.SockJSTermHandler

- All Implemented Interfaces:
    Handler<SockJSSocket>

      public class SockJSTermHandler
      extends Object
      implements Handler<SockJSSocket>

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<SockJSTermHandler>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SockJSTermHandler(SockJSTermHandler delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SockJSTermHandler` | `create(Vertx vertx, String charset)`
    `SockJSTermHandler` | `getDelegate()`
    `void` | `handle(SockJSSocket arg0)` Something has happened, so handle it.
    `static SockJSTermHandler` | `newInstance(SockJSTermHandler arg)`
    `SockJSTermHandler` | `termHandler(Handler<Term> handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<SockJSTermHandler> __TYPE_ARG

  - ### Constructor Detail

    - #### SockJSTermHandler

          public SockJSTermHandler(SockJSTermHandler delegate)

  - ### Method Detail

    - #### getDelegate

          public SockJSTermHandler getDelegate()

    - #### handle

          public void handle(SockJSSocket arg0)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<SockJSSocket>`
      Parameters:
        `arg0` - the event to handle

    - #### create

          public static SockJSTermHandler create(Vertx vertx,
                                                 String charset)

    - #### termHandler

          public SockJSTermHandler termHandler(Handler<Term> handler)

    - #### newInstance

          public static SockJSTermHandler newInstance(SockJSTermHandler arg)

Copyright © 2017. All rights reserved.